Page MenuHomePhabricator

[CodeGen] Mark fma as const for Android
ClosedPublic

Authored by pirama on Mar 23 2018, 4:30 PM.

Details

Summary

r318093 sets fma, fmaf, fmal as const for Gnu and MSVC. Android also
does not set errno for these functions. So mark these const for
Android.

Diff Detail

Repository
rL LLVM

Event Timeline

pirama created this revision.Mar 23 2018, 4:30 PM
srhines accepted this revision.Mar 23 2018, 6:51 PM
This revision is now accepted and ready to land.Mar 23 2018, 6:51 PM
spatel accepted this revision.Mar 24 2018, 7:31 AM
spatel added inline comments.
lib/Sema/SemaDecl.cpp
13108–13110 ↗(On Diff #139668)

Please generalize this comment so it doesn't go stale:
"We make fma on some platforms const because..."

pirama updated this revision to Diff 139798.Mar 26 2018, 8:50 AM

Fix comment.

chh accepted this revision.Mar 26 2018, 9:19 AM
This revision was automatically updated to reflect the committed changes.

Thanks for the reviews!